=== debian/changelog ===
qgis (2.8.3+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Use upstream-ltr branch in gbp.conf.
  * Disable GRASS plugin, doesn't support GRASS 7.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Aug 2015 18:12:35 +0200

qgis (2.8.3+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.8.3

  [ Bas Couwenberg ]
  * New upstream release.
  * Drop patches included upstream, refresh remaining patches.
  * Update copyright file, changes:
    - Update copyright years for Jürgen E. Fischer
    - Add copyright for Daniel Vaz
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Jul 2015 02:40:05 +0200

qgis (2.8.2+dfsg-3) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Jul 2015 13:01:23 +0200

qgis (2.8.2+dfsg-3~exp1) experimental; urgency=medium

  * Limit upstream version to 2.8 LTR releases in watch file.
  * Disable QwtPolar, embedded copies don't support Qwt > 6.0.
  * Include change from 2.8.3 to fix segfauls caused by the deprecated
    spatialite_init() method. (closes: #788101, #791680)
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Jul 2015 16:31:54 +0200

qgis (2.8.2+dfsg-2) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jun 2015 20:35:17 +0200

qgis (2.8.2+dfsg-1) experimental; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jun 2015 17:13:17 +0200

qgis (2.8.2+dfsg-1~exp2) experimental; urgency=medium

  * Add debug package for QGIS libraries.
    (closes: #786985)
  * Update allows-to-typo.patch to also fix 'Allow' variant.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 27 May 2015 23:22:47 +0200

qgis (2.8.2+dfsg-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.8.2

  [ Bas Couwenberg ]
  * New upstream release.
  * Drop patches included upstream, refresh remaining patches.
  * Update copyright years for Alexander Bruy.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 10 May 2015 11:42:23 +0200

qgis (2.8.1+dfsg1-1) unstable; urgency=medium

  * Add patches from upstream release-2_8 branch.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 15:43:48 +0200

qgis (2.8.1+dfsg1-1~exp3) experimental; urgency=medium

  * Update symbols for armel, armhf, i386, kfreebsd-amd64, kfreebsd-i386,
    mips, mipsel, powerpc, ppc64el & s390x.
  * Add patches from upstream release-2_8 branch.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Mar 2015 18:52:57 +0100

qgis (2.8.1+dfsg1-1~exp2) experimental; urgency=medium

  * Don't build internal PySpatiaLite, use Debian package instead.
    (closes: #779933)
  * Add patch to fix FTBFS on arm*.
  * Add patches from upstream release-2_8 branch.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 09 Mar 2015 19:19:27 +0100

qgis (2.8.1+dfsg1-1~exp1) experimental; urgency=medium

  * Fix upstream version extraction from changelog.
  * Move python-qgis from Recommends to Depends.
  * Also exclude ElvenSword gradient from repacked upstream tarball,
    has problematic license terms restricting use.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 03 Mar 2015 08:09:28 +0100

qgis (2.8.1+dfsg-1~exp1) experimental; urgency=medium

  * Update copyright file, changes:
    - Document copyright & license for src/core/pal/costcalculator* separately.
  * Exclude dxf2shp plugin from repacked upstream tarball, see the copyright
    file for details of the license issue.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 28 Feb 2015 20:47:41 +0100

qgis (2.8.1-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.8.1

  [ Bas Couwenberg ]
  * New upstream release.
  * Update grass dependencies to prevent building with unsupported GRASS 7.
  * Refresh patches.
  * Add patches from release-2_8 branch.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Feb 2015 08:39:40 +0100

qgis (2.8.0-1~exp1) experimental; urgency=medium

  [ Jürgen E. Fischer ]
  * Release of 2.8

  [ Bas Couwenberg ]
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Update my email to use @debian.org address.
  * Drop patches included upstream, refresh remaining patches.
  * Update copyright file, changes:
    - Add additional copyright holders to general files section
    - Add copyright years to general files section
    - Order copyright holder by year
    - Group files sections
    - Sort groups files sections alphanumerically
    - Document copyright holders & licenses for external modules
    - Add license specifications for: Apache-2.0, BSD-2-Clause,
      dxflib-Commercial-License, GPL-2, LGPL-2.1+, QT-Commericial,
      LGPL-2.1 with Digia Qt LGPL Exception 1.1 & GPL-3.
  * Remove extra license file for MetaSearch plugin.
  * Add symbols file for libqgis-server2.8.0.
  * Update symbols for amd64.
  * Drop obsolete WITH_INTERNAL_SPATIALITE option.
  * Install libqgis_server.so in libqgis-dev.
  * Install schemaExtension.xsd in qgis-server.
  * Install contributors.json & developersmap.html in qgis-common.
  * Use Debian packages for Leaflet & jQuery in developersmap.html.
  * Add dependency on libqgis-server to libqgis-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 25 Feb 2015 18:54:10 +0100

qgis (2.7.0) UNRELEASED; urgency=medium

  * New development version 2.7 after branch of 2.6
  * run tests in en_US.UTF-8 locale
  * add build dependency to python-qscintilla2 for tests
  * rename libqgis-customwidgets{QGIS_ABI} to libqgis-customwidgets
  * merge some downstream debian changes
  * drop support for ubuntu saucy and add vivid


